Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76915 - XFree 4.2.1-9 kills cpu and hangs box
Summary: XFree 4.2.1-9 kills cpu and hangs box
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 8.0
Hardware: athlon
OS: Linux
medium
high
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-29 11:29 UTC by Ted Kaczmarek
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-10-29 11:48:04 UTC


Attachments (Terms of Use)

Description Ted Kaczmarek 2002-10-29 11:29:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
CPU hits 99.9% after screensaver kicks in, and hard lockups.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start Bluecurve GUI
2.Let screensaver come on
3.
	

Actual Results:  The CPU will hit 99.9%, and hard lockups also.

Expected Results:  Box is not rendered useless when screensaver kicks in.

Additional info:

SMP Athlon, 2 x 1.6ghz,1 gig memory, Tyan 2462, ATI Radeon 7500,agp fast writes
enabled. With original Xfree that came with redhat 8.0 box would lock up after a
day or so every time. With 4.2.1-9 it last 2-3 days more sometimes. The
condition it is is right now having a hard time killing X, init3, kill did not
help. Sent kill -9, now X seems not to be running but screensaver is stuck on
the desktop. 

Have Xfree log and configs, will email upon request.

Comment 1 Ted Kaczmarek 2002-10-29 11:47:57 UTC
 XFree86 4 configuration created by pyxf86config

Section "ServerLayout"
        Identifier     "Default Layout"
        Screen      0  "Screen0" 0 0
        InputDevice    "Mouse0" "CorePointer"
        InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"
# RgbPath is the location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.

        RgbPath      "/usr/X11R6/lib/X11/rgb"
        FontPath     "unix/:7100"
EndSection

Section "Module"
        Load  "dbe"
        Load  "extmod"
        Load  "fbdevhw"
        Load  "GLcore"
        Load  "glx"
        Load  "dri"
        Load  "record"
        Load  "freetype"
        Load  "type1"
EndSection

Section "InputDevice"
# Specify which keyboard LEDs can be user-controlled (eg, with xset(1))
#       Option  "Xleds"         "1 2 3"

# To disable the XKEYBOARD extension, uncomment XkbDisable.
        Option  "XkbDisable"

# To customise the XKB settings to suit your keyboard, modify the
# lines below (which are the defaults).  For example, for a non-U.S.
# keyboard, you will probably want to use:
#       Option  "XkbModel"      "pc102"
# If you have a US Microsoft Natural keyboard, you can use:
#       Option  "XkbModel"      "microsoft"
#
# Then to change the language, change the Layout setting.
# For example, a german layout can be obtained with:
#       Option  "XkbLayout"     "de"
# or:
#       Option  "XkbLayout"     "de"
#       Option  "XkbVariant"    "nodeadkeys"
#
# If you'd like to switch the positions of your capslock and
# control keys, use:
#       Option  "XkbOptions"    "ctrl:swapcaps"
# Or if you just want both to be control, use:
#       Option  "XkbOptions"    "ctrl:nocaps"
#
        Identifier  "Keyboard0"
        Driver      "keyboard"
        Option      "XkbRules" "xfree86"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us"
EndSection

Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "IMPS/2"
        Option      "Device" "/dev/input/mice"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "no"
EndSection

Section "InputDevice"
# If the normal CorePointer mouse is not a USB mouse then
# this input device can be used in AlwaysCore mode to let you
# also use USB mice at the same time.
        Identifier  "DevInputMice"
        Driver      "mouse"
        Option      "Protocol" "IMPS/2"
        Option      "Device" "/dev/input/mice"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "no"
EndSection

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "Unknown monitor"
        HorizSync    30.0 - 95.0
        VertRefresh  50.0 - 160.0
        ModeLine     "1400x1050" 129.0 1400 1464 1656 1960 1050 1051 1054 1100
+hsync +vsync
        ModeLine     "1400x1050" 151.0 1400 1464 1656 1960 1050 1051 1054 1100
+hsync +vsync
        ModeLine     "1400x1050" 162.0 1400 1464 1656 1960 1050 1051 1054 1100
+hsync +vsync
        ModeLine     "1400x1050" 184.0 1400 1464 1656 1960 1050 1051 1054 1100
+hsync +vsync
        Option      "dpms"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "radeon"
        VendorName  "Videocard vendor"
        BoardName   "ATI Radeon 7500"
EndSection

Section "Screen"

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
        DefaultDepth     24
        SubSection "Display"
                Depth     24
                Modes     "1280x1024" #"1280x960" "1152x864" "1024x768"
"800x600" "640x480"
        EndSubSection
EndSection

Section "DRI"
        Group        0
        Mode         0666
EndSection
XFree86 Version 4.2.1 (Custom Build: 4.2.1-9) / X Window System
(protocol Version 11, revision 0, vendor release 6600)
Release Date: 3 September 2002
        If the server is older than 6-12 months, or if your card is
        newer than the above date, look for a newer version before
        reporting problems.  (See http://www.XFree86.Org/)



Comment 2 Mike A. Harris 2002-11-03 09:30:32 UTC
You're using a custom built XFree86 release, and not an official Red Hat
XFree86 release.  This is unsupported.  If you can reproduce this on
an official Red Hat XFree86 release, then please reopen the bug report,
and attach your config file and complete X server log using the link
below.


Note You need to log in before you can comment on or make changes to this bug.